<template>
    <view class="container">
        <web-view :src="officialAccountLink" @message="handleMessage"></web-view>
    </view>
</template>

<script>
export default {
    data() {
        return {
            officialAccountLink:
                "https://mp.weixin.qq.com/mp/profile_ext?action=home&__biz=MzIwNjc3ODg0NQ==#wechat_redirect",
        };
    },
    methods: {
        handleMessage(event) {
            // 处理 web-view 组件通信事件
            console.log("Received message from web-view:", event);
        },
    },
};
</script>

<style lang="scss" scoped>
.container {
    width: 100%;
    height: 100vh;
}
</style>
